List verifications by result ID
curl --request GET \
--url https://api.anycheck.ai/verifications \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.anycheck.ai/verifications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.anycheck.ai/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 10,
"overall_status": "COMPLETED",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "KTP & PEP"
},
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key": null,
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_time": 2.284,
"status": "COMPLETED",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"input_config": {
"verification_type": "KTP_SELFIE",
"files": {
"ktp_file": [
"/uploads/ktp.jpg"
],
"selfie_file": [
"/uploads/selfie.jpg"
]
},
"fraud_detection": false
},
"input_file_url": {
"ktp_file": [
"https://example.com/files/ktp.jpg"
],
"selfie_file": [
"https://example.com/files/selfie.jpg"
]
},
"output": {
"face_match_confidence_level": "LOW",
"face_match_confidence_score": 2.284846674563825,
"is_match_face": false
},
"output_file_url": "https://example.com/output.json",
"external_job_id": {
"ocr_job_id": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"fraud_job_id": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"webhook_url": "https://your-app.com/webhook",
"webhook_metadata": {},
"export_file_url": "https://example.com/export.xlsx",
"credit_used": 10,
"total_files": 2,
"total_pages": 5,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Verifications
List verifications by result ID
Get all verifications grouped by result ID
GET
/
verifications
List verifications by result ID
Authorizations
API key for service-to-service authentication
Query Parameters
Result ID to group verifications
Number of items to skip
Number of items per page
Response
List of verifications
Total number of verifications
Example:
10
Overall status of all verifications in this result group
Available options:
DRAFT, IN_QUEUE, IN_PROGRESS, COMPLETED, FAILED, CANCELLED, NEED_REVIEW, FRAUD_DETECTED, PARTIALLY_COMPLETED, PARTIALLY_FAILED Example:
"COMPLETED"
Show child attributes
Show child attributes
Was this page helpful?
⌘I